Subject: bug#43489: closed (Re: bug#43489: [PATCH] Don't signal scan-error when moving by sexp interactively)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Sep 2020 16:25:01 +0000

Your bug report

#43489: [PATCH] Don't signal scan-error when moving by sexp interactively

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43489: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43489
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43489: [PATCH] Don't signal scan-error when moving by sexp interactively
From: Mattias Engdegård <[email-masked]>
To: João Távora <[email-masked]>
Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>, Stefan Monnier <[email-masked]>
Date: Wed, 23 Sep 2020 18:24:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

23 sep. 2020 kl. 16.45 skrev João Távora <[email-masked]>:

> If it has not, and we do decide to go this route, I'd just nitpick
> that the parameter name should be INTERACTIVE or 
> RESIGNAL-ERROR.

Thank you! INTERACTIVE is indeed a better parameter name; now renamed.

I'm not very interested in the exact mechanism used for actually displaying the messages to the user. As you have no doubt grown weary hearing by now, I would have preferred there not being any to show! The employed method (user-error) seemed to be simple and workable.  That it uses the error-signalling mechanism is coincidental.

This bug can probably be closed now. Further improvements will of course still be possible.

Subject: [PATCH] Don't signal scan-error when moving by sexp interactively
From: Mattias Engdegård <[email-masked]>
To: [email-masked]
Date: Fri, 18 Sep 2020 13:31:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When moving by sexp (C-M-f, C-M-u and so on) and point is already at a boundary preventing further movement, Emacs currently signals an internal error such as

 Scan error: "Containing expression ends prematurely", 5010, 5010

or

 Scan error: "Unbalanced parentheses", 5010, 1

which is unhelpful and rather looks as if something went wrong in the internal machinery.

The attached patch does away with this error when the commands are invoked interactively; programmatic use of the functions will get the scan-error just like before. There didn't seem to be much point in replacing the errors with new messages so the current version of the patch doesn't.